- Qt 5.0
- Qt 5.0.0 Reference Documentation

# EventAttendee QML Type

The EventAttendee element contains information about an attendee of an event. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- attendeeId : variant
- emailAddress : variant
- name : variant
- participationRole : variant
- participationStatus : variant

## Signals

- onDetailChanged()

## Detailed Description

The following fields are supported:

- EventAttendee.FieldName
- EventAttendee.FieldEmailAddress
- EventAttendee.FieldAddendeeId
- EventAttendee.FieldParticipationStatus
- EventAttendee.FieldParticipationRole

See also QOrganizerEventAttendee.

## Property Documentation

attendeeId : variant

This property holds the unique identifier of the attendee.

emailAddress : variant

This property holds the email address of the attendee.

name : variant

This property holds the name of the attendee.

participationRole : variant

This property holds the participation role of the attendee of the event.The value can be one of:

- EventAttendee.RoleUnknown
- EventAttendee.RoleOrganizer
- EventAttendee.RoleChairperson
- EventAttendee.RoleHost
- EventAttendee.RoleRequiredParticipant
- EventAttendee.RoleOptionalParticipant
- EventAttendee.RoleNonParticipant

participationStatus : variant

This property holds the participation status of the attendee of the event. The value can be one of:

- EventAttendee.StatusUnknown
- EventAttendee.StatusAccepted
- EventAttendee.StatusDeclined
- EventAttendee.StatusTentative
- EventAttendee.StatusDelegated
- EventAttendee.StatusInProcess
- EventAttendee.StatusCompleted

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.